// Phase 4 + 7 - Turn and walk left - 1.5 seconds (total 6.5 + 7 seconds)

#include "colors.inc"
//#declare Draft = version;
#include "e:\pc'sjunk\pov\adventure\dungeon.inc"
#include "e:\pc'sjunk\pov\adventure\staff.inc"
#include "e:\pc'sjunk\pov\adventure\light.inc"

background { colour rgb <1, 1, 1> }

// No identifier means it applies to the camera and light_source translations.
// CL designates camera look_at.
// L  designates light_source translation.
// C  designates camera translation.
// S  designates staff
#declare P1_Motion = <0, 0, 60>;
#declare P1_Rotate_S = <0, 0, 0>;
#declare P1_Motion_S = P1_Motion + <0, 0, 0>;
#declare P2_Motion_CL = <sin(pi/3), 0, cos(pi/3)> - <0, 0, 1>;
#declare P2_Motion_L = vrotate(<-1, 1, 3>, <0, 60, 0>) - <-1, 1, 3>;
#declare P2_Rotate_S = <0, 60, 0>;
#declare P2_Motion_S = vrotate(<1.5, 0, 4>, <0, 60, 0>) - <1.5, 0, 4>;
#declare P3_Motion_CL = <0, 0, 1> - <sin(pi/3), 0, cos(pi/3)>;
#declare P3_Motion_L = <-1, 1, 3> - vrotate(<-1, 1, 3>, <0, 60, 0>);
#declare P3_Rotate_S = <0, -60, 0>;
#declare P3_Motion_S = <1.5, 0, 4> - vrotate(<1.5, 0, 4>, <0, 60, 0>);
#declare P4_Motion_C = <10*cos(pi/2*clock) - 10, 0, 10*sin(pi/2*clock)>;
#declare P4_Motion_CL = vcross(<cos(pi/2*clock), 0, sin(pi/2*clock)>, <0, 1, 0>) - <0, 0, 1>;
#declare P4_Motion_L = <6*cos(pi/2*pow(clock, 1.1)) - 6 - 6*pow(clock, 1.3), 0, 6*sin(pi/2*pow(clock, 1.1))>;
#declare P4_Rotate_S = <2*abs(sin(1.5*pi*clock)), -90*clock, 0>;
#declare P4_Motion_S = P4_Motion_C + vrotate(<1.5, 0, 4>, <0, -90*clock, 0>) - <1.5, 0, 4> + <0, 0.5*abs(sin(1.5*pi*clock)), 0>;

camera {
	location <0, 15, -25>
	look_at <0, 15, -24> + P2_Motion_CL + P3_Motion_CL + P4_Motion_CL
	translate P1_Motion
	translate P4_Motion_C
}

light_source {
	<-1, 16, -22>
	colour White
	fade_distance 25
	fade_power 1.5
	translate P1_Motion
	translate P2_Motion_L
	translate P3_Motion_L
	translate P4_Motion_L
}

#declare Light_markers = union {
	// y-axis
	sphere { <-1, 16.2, -22>, 0.05
		pigment { colour rgbt <1.0, 1.0, 0.0, 0.6> }
	}
	sphere { <-1, 15.8, -22>, 0.05
		pigment { colour rgbt <1.0, 1.0, 0.0, 0.6> }
	}
	// x-axis
	sphere { <-1.2, 16, -22>, 0.05
		pigment { colour rgbt <1.0, 0.0, 1.0, 0.6> }
	}
	sphere { <-0.8, 16, -22>, 0.05
		pigment { colour rgbt <1.0, 0.0, 1.0, 0.6> }
	}
	// z-axis
	sphere { <-1, 16, -22.2>, 0.05
		pigment { colour rgbt <0.0, 1.0, 1.0, 0.6> }
	}
	sphere { <-1, 16, -21.8>, 0.05
		pigment { colour rgbt <0.0, 1.0, 1.0, 0.9> }
	}
	translate P1_Motion
	translate P2_Motion_L
	translate P3_Motion_L
	translate P4_Motion_L
}
//object { Light_markers }
object { Light_Sphere
	rotate < 68.96/2.689 + 68.96 - 68.96/1.771, 79.20/2.890 + 79.20 - 79.20/1.238, 23.04/2.478 + 23.04 - 23.04/1.485 >
	rotate < 11.48/2.580, 12.50/2.236, 10.02/2.950 > + < 11.48 - 11.48/1.358, 12.50 - 12.50/1.432, 10.02 - 10.02/1.864 >
	rotate < 25.12/2.533, 38.64/2.281, 29.44/2.475 > + < 25.12 - 25.12/1.936, 38.64 - 38.64/1.530, 29.44 - 29.44/1.210 >
	rotate < 50.36/2.552, 45.10/2.033, 39.56/2.337 > + < 50.36 - 50.36/1.794, 45.10 - 45.10/1.268, 39.56 - 39.56/1.171 >
	rotate < 35.91/2.319, 16.59/2.342, 21.93/2.887 > + 
		< 35.91*clock - 35.91/1.421*pow(clock, 1.421), 16.59*clock - 16.59/1.693*pow(clock, 1.693), 21.93*clock - 23.93/1.952*pow(clock, 1.952) >
	translate <-1, 16, -22>
	translate P1_Motion
	translate P2_Motion_L
	translate P3_Motion_L
	translate P4_Motion_L
}
/*
light_source {
	<90, 17, 45>
	colour White
	fade_distance 25
	fade_power 1.5
}
*/
object { Staff
	rotate P1_Rotate_S
	rotate P2_Rotate_S
	rotate P3_Rotate_S
	rotate P4_Rotate_S
	translate <1.5, 0, -21>
	translate P1_Motion_S
	translate P2_Motion_S
	translate P3_Motion_S
	translate P4_Motion_S
}

object { Dungeon }